petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMAppendOptionsPrefix

Appends to the prefix used for searching for all DM options in the database.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode  DMAppendOptionsPrefix(DM dm,const char prefix[])

Logically Collective on dm

### Input Parameters

| dm | - the DM context
| prefix | - the prefix string to prepend to all DM option requests

### Notes

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

### See Also

DMSetOptionsPrefix(), DMGetOptionsPrefix()

### Level

advanced

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages